// taxi script

private ["_plane", "_dest", "_destDir", "_elevator", "_nimspots", "_dir", "_planeDir"];

_plane = [_this, 0, ObjNull] call BIS_fnc_param;
_dest = [_this, 1, [getPos _plane]] call BIS_fnc_param;
_destDir = [_this, 2, getDir _plane] call BIS_fnc_param;

(driver _plane) disableAI "Anim";

_rotate = {
  _plane = _this select 0;
  _dest = _this select 1;
  // rotate
  _dir = [_plane, getPos _dest] call BIS_fnc_RelativeDirTo;
  player sideChat format ["Turning %1", _dir];
  while {_dir > 0} do {
    _planeDir = getDir _plane + 1;
    _plane setDir _planeDir;
    _dir = _dir - 1;
    sleep 0.01;
  };

};

[_plane] call FA18_fnc_foldwing;
sleep 0.5;

{
  [_plane, _x] call _rotate;
  sleep 1;

  while {_plane distance _x > 2} do {
    _dir = [_plane, getPos _x] call BIS_fnc_dirTo;
    _plane setDir _dir;
    hint format ["Dist: %1", _plane distance _x];
    _plane setVelocity [
	  sin _dir * 5,
	  cos _dir * 5,
	  0
    ];
    sleep 0.05;
  };
} forEach _dest;

// _plane setDir _destDir;
_plane setVelocity [0,0,0];
_plane engineOn false;

// find elevator
_nimspots = ["nimspots"] call TTT_fnc_global;
_elevator = (_nimspots modelToWorld (_nimspots selectionPosition "E2")) nearestObject "JDG_carrier_geo_10";
[_elevator, 1] call TTT_fnc_elevator;

waitUntil {_elevator animationPhase "ani_ElevBarB" < -0.9};
{deleteVehicle _x} forEach crew _plane;
deleteVehicle _plane;
sleep 1;
[_elevator, 0] call TTT_fnc_elevator;
